console.log("Parametrización cargada");
var stage1="";
var stage2="";
var stage3="";

function playBgMusic(){
    createjs.Sound.play("fondumusica0", {loop:-1});
}
function playDialog(dialog){
	stopAllAudio();
	switch (dialog){
        case "dialogo1_txt1":
            playSound("audio1");
            break;
        case "dialogo1_txt2":
            playSound("audio2");
            break;
        case "dialogo2_txt1":
            playSound("audio3");
            break;
        case "dialogo2_txt2":
            playSound("audio4");
            break;
        case "dialogo2_txt3":
            playSound("audio5");
            break;
        case "dialogo2_txt4":
            playSound("audio6");
            break;
        case "dialogo3_txt1":
            playSound("audio7");
            break;
        case "dialogo3_txt2":
            playSound("audio8");
            break;
        case "dialogo4_txt1":
            playSound("audio9");
            break;
        case "dialogo4_txt2":
            playSound("audio10");
            break;
        case "dialogo4_txt3":
            playSound("audio11");
            break;
        case "dialogo4_txt4":
            playSound("saludos");
            break;
        case "dialogo5_txt1":
            playSound("audio12");
            break;
        case "dialogo5_txt2":
            playSound("audio13");
            break;
        case "dialogo5_txt3":
            playSound("audio14");
            break;
        case "dialogo6_txt1":
            playSound("audio15");
            break;
        case "dialogo6_txt2":
            playSound("audio16");
            break;
        case "dialogo6_txt3":
            playSound("audio17");
            break;
        case "dialogo6_txt4":
            playSound("audio18");
            break;
        case "dialogo6_txt5":
            playSound("audio19");
            break;
        case "dialogo6_txt6":
            playSound("audio20");
            break;
        case "dialogo6_txt7":
            playSound("audio21");
            break;
        case "dialogo6_txt8":
            playSound("audio22");
            break;
        case "dialogo6_txt9":
            playSound("audio23");
            break;
        case "dialogo6_txt10":
            playSound("audio24");
            break;
        case "dialogo6_txt11":
            playSound("audio25");
            break;
        case "dialogo7_txt1":
            playSound("audio26");
            break;
        case "dialogo7_txt2":
            playSound("audio27");
            break;
        case "dialogo7_txt3":
            playSound("audio28");
            break;
        case "dialogo7_txt4":
            playSound("audio29");
            break;
        case "dialogo7_txt5":
            playSound("audio30");
            break;
        case "dialogo7_txt6":
            playSound("audio31");
            break;
        case "dialogo7_txt7":
            playSound("audio32");
            break;
        case "dialogo7_txt8":
            playSound("audio33");
            break;
        case "dialogo7_txt9":
            playSound("audio34");
            break;
        case "dialogo7_txt10":
            playSound("audio35");
            break;
        case "dialogo8_txt1":
            playSound("audio36");
            break;
        case "scn2_dialogo1_txt1":
            playSound("audioScn2_dialogo1_txt1");
            break;
        case "scn2_dialogo1_txt2":
            playSound("audioScn2_dialogo1_txt2");
            break;
        case "scn2_dialogo1_txt3":
            playSound("audioScn2_dialogo1_txt3");
            break;
        case "scn2_dialogo1_txt4":
            playSound("audioScn2_dialogo1_txt4");
            break;
        case "scn2_dialogo2_txt1":
            playSound("audioScn2_dialogo2_txt1");
            break;
        case "scn2_dialogo2_txtA":
            playSound("audioScn2_dialogo2_txtA");
            break;
        case "scn2_dialogo2_txtB":
            playSound("audioScn2_dialogo2_txtB");
            break;
        case "scn2_dialogo2_txtC":
            playSound("audioScn2_dialogo2_txtC");
            break;
        case "scn2_dialogo2_txtD":
            playSound("audioScn2_dialogo2_txtD");
            break;
        case "scn2_dialogo2_txtE":
            playSound("audioScn2_dialogo2_txtE");
            break;
        case "scn2_dialogo2_txtF":
            playSound("audioScn2_dialogo2_txtF");
            break;
        case "scn2_dialogo2_txtG":
            playSound("audioScn2_dialogo2_txtG");
            break;
        case "scn2_dialogo2_txtH":
            playSound("audioScn2_dialogo2_txtH");
            break;
        case "scn2_dialogo2_txtI":
            playSound("audioScn2_dialogo2_txtI");
            break;
        case "scn2_dialogo2_txtJ":
            playSound("audioScn2_dialogo2_txtJ");
            break;
        case "scn2_dialogo2_txtK":
            playSound("audioScn2_dialogo2_txtK");
            break;
        case "scn2_dialogo2_txtL":
            playSound("audioScn2_dialogo2_txtL");
            break;
        case "scn2_dialogo2_txtM":
            playSound("audioScn2_dialogo2_txtM");
            break;
        case "scn2_dialogo2_txtN":
            playSound("audioScn2_dialogo2_txtN");
            break;
        case "scn2_dialogo2_txtO":
            playSound("audioScn2_dialogo2_txtO");
            break;
        case "scn2_dialogo2_txtP":
            playSound("audioScn2_dialogo2_txtP");
            break;
        case "scn2_dialogo2_txtQ":
            playSound("audioScn2_dialogo2_txtQ");
            break;
        case "scn2_dialogo2_txtR":
            playSound("audioScn2_dialogo2_txtR");
            break;
        case "scn2_dialogo2_txtS":
            playSound("audioScn2_dialogo2_txtS");
            break;
        case "scn2_dialogo2_txtT":
            playSound("audioScn2_dialogo2_txtT");
            break;
        case "scn2_dialogo2_txtU":
            playSound("audioScn2_dialogo2_txtU");
            break;
        case "scn2_dialogo2_txtV":
            playSound("audioScn2_dialogo2_txtV");
            break;
        case "scn2_dialogo2_txtW":
            playSound("audioScn2_dialogo2_txtW");
            break;
        case "scn2_dialogo2_txtX":
            playSound("audioScn2_dialogo2_txtX");
            break;
        case "scn2_dialogo2_txtY":
            playSound("audioScn2_dialogo2_txtY");
            break;
        case "scn2_dialogo2_txtZ":
            playSound("audioScn2_dialogo2_txtZ");
            break;
        case "scn2_dialogo3_txt1":
            playSound("audioScn2_dialogo3_txt1");
            break;
        case "scn3_dialogo1_txt1":
            playSound("audioScn3_dialogo1_txt1");
            break;
        case "scn3_dialogo1_txt2":
            playSound("audioScn3_dialogo1_txt2");
            break;
        case "scn3_dialogo1_txt3":
            playSound("audioScn3_dialogo1_txt3");
            break;
        case "scn3_dialogo2_txt1":
            playSound("audioScn3_dialogo2_txt1");
            break;
        case "scn3_dialogo2_txt2":
            playSound("audioScn3_dialogo2_txt2");
            break;
        case "scn3_dialogo2_txt3":
            playSound("audioScn3_dialogo2_txt3");
            break;
        case "scn3_dialogo3_txt1":
            playSound("audioScn3_dialogo3_txt1");
            break;
        case "cardinalNumbers_txt1":
            playSound("audioCardinalNumbers_txt1");
            break;
        case "cardinalNumbers_txt2":
            playSound("audioCardinalNumbers_txt2");
            break;
        case "cardinalNumbers_txt3":
            playSound("audioCardinalNumbers_txt3");
            break;
        case "cardinalNumbers_txt4":
            playSound("audioCardinalNumbers_txt4");
            break;
        case "cardinalNumbers_txt5":
            playSound("audioCardinalNumbers_txt5");
            break;
        case "cardinalNumbers_txt6":
            playSound("audioCardinalNumbers_txt6");
            break;
        case "ordinalNumbers_txt1":
            playSound("audioOrdinalNumbers_txt1");
            break;
        case "ordinalNumbers_txt2":
            playSound("audioOrdinalNumbers_txt2");
            break;
        case "ordinalNumbers_txt3":
            playSound("audioOrdinalNumbers_txt3");
            break;
        case "ordinalNumbers_txt4":
            playSound("audioOrdinalNumbers_txt4");
            break;
        default: 
			playSound("audio1");   
    }
}

function stopAllAudio(){
	createjs.Sound.stop("audio1");
	createjs.Sound.stop("audio2");
	createjs.Sound.stop("audio3");
	createjs.Sound.stop("audio4");
	createjs.Sound.stop("audio5");
	createjs.Sound.stop("audio6");
	createjs.Sound.stop("audio7");
	createjs.Sound.stop("audio8");
    createjs.Sound.stop("audio9");
    createjs.Sound.stop("audio10");
    createjs.Sound.stop("audio11");
	createjs.Sound.stop("audio12");
	createjs.Sound.stop("audio13");
	createjs.Sound.stop("audio14");
	createjs.Sound.stop("audio15");
	createjs.Sound.stop("audio16");
	createjs.Sound.stop("audio17");
	createjs.Sound.stop("audio18");
    createjs.Sound.stop("audio19");
    createjs.Sound.stop("audio20");
    createjs.Sound.stop("audio21");
	createjs.Sound.stop("audio22");
	createjs.Sound.stop("audio23");
	createjs.Sound.stop("audio24");
	createjs.Sound.stop("audio25");
	createjs.Sound.stop("audio26");
	createjs.Sound.stop("audio27");
	createjs.Sound.stop("audio28");
    createjs.Sound.stop("audio29");
    createjs.Sound.stop("audio30");
    createjs.Sound.stop("audio21");
	createjs.Sound.stop("audio22");
	createjs.Sound.stop("audio23");
	createjs.Sound.stop("audio24");
	createjs.Sound.stop("audio25");
	createjs.Sound.stop("audio26");
	createjs.Sound.stop("audio27");
	createjs.Sound.stop("audio28");
    createjs.Sound.stop("audio29");
    createjs.Sound.stop("audio30");
}
